<?php require_once('../../Connections/cn.php'); ?>
<?php 
header("Content-Type:text/html; charset=utf-8");
error_reporting(E_ALL); 
//DATOS del personal
	$id_carrera=$_GET['id_carrera'];
	//$id_sede=$_GET['id_sede'];
	$cedula=$_GET['id_alumno'];
	/*$id_carrera='30A';
	$id_sede='14';
	$id_alumno='13';*/
	mysql_select_db($database_cn, $cn);
    mysql_query ("SET NAMES 'utf8'");
	
	$sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_alumno=$row['id_alumno'];
	
	$sql0 = "SELECT sede FROM carreras_alumno WHERE id_alumno='$id_alumno' AND cod_carrera='$id_carrera'";
	$rs0 = mysql_query($sql0, $cn);
	$row0 = mysql_fetch_assoc($rs0);
	$id_sede=$row0['sede'];
		
	
	$sql1 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
	$rs1 = mysql_query($sql1, $cn);
	$row1 = mysql_fetch_assoc($rs1);
	$carrera=$row1['nombre_carrera'];
	$num_materias=$row1['num_materias'];
	$num_creditos=$row1['creditos_grado'];
	
	$sql = "SELECT * FROM alumnos WHERE id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$completo=$row['nombres']." ".$row['apellidos'];
	
	
	$cedula=$row['cedula'];
	$tipodoc=$row['tipodoc'];
	$sexo=$row['genero'];
	if ($sexo=='1'){
		$inscrito='inscrita';
		$ciudadano='de la ciudadana: ';
		$portador='';
		}
		else {
		$inscrito='inscrito';
		$ciudadano='del ciudadano: ';
		$portador='';
		}
		
	if(substr($tipodoc,0,1)=="C") {
	    $documento=' Cédula de Identidad';
		}
				else {	
		 $documento=$portador.' Pasaporte';}
		
    // Busca el nombre de la sede.
	$sql_sede = "SELECT ciudad_sede FROM sedes WHERE codigo='$id_sede'";
	$rs_sede = mysql_query($sql_sede, $cn);
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede='Caracas';
	//$row_sede['ciudad_sede'];
	
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 

// Incluye la calses que se requieren para el reporte. 

include('class.ezpdf.php'); 
require('numerosALetras.class.php');
// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
//$pdf->selectFont('/fonts/Helvetica.afm');
// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
$pdf->ezSetCmMargins(1,1,3,3);
// Inicio del Encabezado.
$pdf->ezsetdy(-125);
$pdf->selectFont('/fonts/Helvetica.afm');
$pdf->ezText('<b>'."CONSTANCIA DE CALIFICACIONES".'</b>',16,array('justification'=>'center'));
$pdf->ezsetdy(-30);

$titulo_obtenido="";
//$pdf->selectFont('fonts/Times-Roman.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$texto=utf8_decode("     Quien suscribe, Jefa de Control de Estudios de la Universidad Latinoamericana y del Caribe (ULAC), hace constar que en el Departamento de Control de Estudios reposa un expediente $ciudadano".'<b>'."$completo".'</b>'.", $documento Nro. ".'<b>'."$cedula".'</b>'.", y en cuyo registro académico consta que obtuvo las calificaciones, anexas al presente documento, en el programa ".'<b>'."$carrera.".'</b>');

$emitido=utf8_decode("      Constancia que se expide a petición de la parte interesada en $nombre_sede, $fecha.");

$pdf->ezText($texto,14,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-30);

$pdf->ezText($emitido,14,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-30);
$pdf->ezText("Atentamente,",14,array('justification'=>'center'));
$pdf->ezsetdy(-85);
//$pdf->ezText("_______________________________________",12,array('justification'=>'center'));
//$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode('<b>'."Lic. Hilda Echarry".'</b>'),14,array('justification'=>'center'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode("Jefa del Departamento de Control de Estudios"),14,array('justification'=>'center'));

		// Fin del Encabezado.
$emitido=utf8_decode("      Constancia que se expide a petición de la parte interesada en $nombre_sede, $fecha");
//$pdf->ezNewPage();
$pdf->ezStartPageNumbers(550,730,7,'',utf8_decode('Pág ').'{PAGENUM} de {TOTALPAGENUM}',1); 
$pdf->ezNewPage();

notas($pdf,$database_cn, $cn, $id_carrera, $cedula, $completo, $carrera, $id_alumno, $num_materias, $num_creditos);


//ultima pagina
$pdf->ezSetCmMargins(7,1,3,3);
$pdf->ezNewPage();

$pdf->selectFont('/fonts/Helvetica.afm');
		
/*$pdf->ezsetdy(-70);
$pdf->ezText('<b>'."CONSTANCIA DE CALIFICACIONES".'</b>',16,array('justification'=>'center'));
$pdf->ezsetdy(-25);
$pdf->ezText('<b>'.utf8_decode("CÉDULA: ").'</b>'.$cedula.'<b>'."     NOMBRE: ".'</b>'.utf8_decode($completo),10,array('justification'=>'full'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'."PROGRAMA: ".'</b>'.utf8_decode($carrera),10,array('justification'=>'full'));
$pdf->ezsetdy(-20);*/
		// Fin del Encabezado.

//ultima_hoja($pdf, $cedula, $completo, $carrera);
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."NORMAS:".'</b>',11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode("A) La Escala de Calificaciones está comprendida del uno (1) al cinco (5), ambas inclusive."),11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode("B) La calificación mínima aprobatoria es de tres (3) puntos. Los participantes que están cursando Doctorados aprueban con tres (3) puntos pero al terminar el Doctorado deben tener acumulado como mínimo un Indice de Rendimiento Académico de 3,75 puntos."),11,array('justification'=>'full'));

//nota
$pdf->ezsetdy(-25);
$pdf->ezText('<b>'."NOTA:".'</b>',11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode("CUALQUIER DISCREPANCIA ENCONTRADA ENTRE ESTE DOCUMENTO Y LAS ACTAS ORIGINALES, SE TOMARÁ COMO VÁLIDA, LA CALIFICACIÓN QUE INDIQUE EL ACTA."),11,array('justification'=>'full'));

//abreviaciones
$pdf->ezsetdy(-25);
$pdf->ezText('<b>'."ABREVIACIONES:".'</b>',11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'."Secc: ".'</b>'.utf8_decode(" Sección      ").'<b>'."U.C.:".'</b>'.utf8_decode(" Unidades de Crédito").'<b>'."  Aprob.:".'</b>'.utf8_decode(" Aprobada"),11,array('justification'=>'full'));

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

$pdf->addObject($all,'all'); 
$pdf->ezStream(); 

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	$Mes = str_replace("01","Enero",$Mes); 
	$Mes = str_replace("02","Febrero",$Mes); 
	$Mes = str_replace("03","Marzo",$Mes); 
	$Mes = str_replace("04","Abril",$Mes); 
	$Mes = str_replace("05","Mayo",$Mes); 
	$Mes = str_replace("06","Junio",$Mes); 
	$Mes = str_replace("07","Julio",$Mes); 
	$Mes = str_replace("08","Agosto",$Mes); 
	$Mes = str_replace("09","Septiembre",$Mes); 
	$Mes = str_replace("10","Octubre",$Mes); 
	$Mes = str_replace("11","Noviembre",$Mes); 
	$Mes = str_replace("12","Diciembre",$Mes); 
	
	$Anio = substr($fecha,0,4); 
	if ($diaMes=='1') {
	    return "al ".$diaMes." día del mes de ".$Mes." de ".$Anio."";
	}
	else {
	    return "a los ".$diaMes." días del mes de ".$Mes." de ".$Anio."";
	}
	 
}
	
function notas($pdf, $database_cn, $cn, $id_carrera, $cedula, $completo, $carrera, $id_alumno,$num_materias,$num_creditos)
{
		// Selecciono la Base de Datos. 
		mysql_select_db($database_cn,$cn); 
		mysql_query ("SET NAMES 'utf8'");
				
		// Datos de la Carrera.
		$sql3x = "select nombre_carrera from carreras where id_carrera='$id_carrera'";
		$rs3x=mysql_query($sql3x,$cn);
		$row3x=mysql_fetch_array($rs3x);
		$nom_carrera=$row3x['nombre_carrera'];
		
		$all = $pdf->openObject(); 
		$pdf->saveState(); 
		$pdf->setStrokeColor(0,0,0,1); 
		// Se define el query de los datos que contendr� el reporte.
		// mysql_select_db($database_cn, $cn);
		$queryx ="SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, historico_notas.nota, historico_notas.id_materia, historico_notas.seccion, historico_notas.periodo, materias.nombre_materia, materias.uc, periodos.id_periodo,carreras.id_carrera,historico_notas.aprobacion FROM alumnos,historico_notas, materias, periodos,carreras WHERE alumnos.id_alumno=historico_notas.id_alumno and historico_notas.id_carrera='$id_carrera' and carreras.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia and historico_notas.id_carrera=materias.id_carrera and historico_notas.id_alumno='$id_alumno' and periodos.codigo=historico_notas.periodo order by periodos.id_periodo";
		$resultx = mysql_query ($queryx ) or die (mysql_error()); 
		$result99 = mysql_query ($queryx ) or die (mysql_error()); 

		$totalRows = mysql_num_rows($resultx);
		
		$pdf->ezsetdy(-10);
		$pdf->selectFont('/fonts/Helvetica.afm');
	//	$pdf->ezText('<b>'."               UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE".'</b>',14,array('justification'=>'full'));
		//$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
		//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
		$pdf->ezsetdy(-60);
		$pdf->ezText('<b>'."CONSTANCIA DE CALIFICACIONES".'</b>',16,array('justification'=>'center'));
		$pdf->ezsetdy(-25);
		$pdf->ezText('<b>'.utf8_decode("CÉDULA: ").'</b>'.$cedula.'<b>'."     NOMBRE: ".'</b>'.utf8_decode($completo),10,array('justification'=>'full'));
		$pdf->ezsetdy(-3);
		$pdf->ezText('<b>'."PROGRAMA: ".'</b>'.utf8_decode($carrera),10,array('justification'=>'full'));
		$pdf->ezsetdy(-20);
				 
		// Inicio del Pie de P�gina.
		//pie_pagina($pdf);
		// Fin del Pie de P�gina.
		
		// Se restaura el objeto y se cierra, para que de el salto de p�gina.
		$pdf->restoreState(); 
		$pdf->closeObject(); 
		// Establece los margenes para imprimir el cuerpo del reporte.
		$pdf->ezSetCmMargins(7,4,3.5,3);
		$pdf->addObject($all,'all'); 
		
		// Inicializa array 
		$datax = array(); 
		//Aqui se coloca el header de la Tabla 
		$colsx = array('codigo'=>'CODIGO', 
					  'seccion'=>'SECC.', 
					  'asignatura'=>'ASIGNATURA', 
					  'credito'=>'U.C.', 
					  'nota'=>'NOTA',
					  'enletras'=>'LITERAL'); 
		// Convierte la Nota a Letras.
		// $nota = new numerosALetras;
		// Inicializo las variables del Resumen Acad�mico.
		$total_notas=0;
		$total_uc=0;
		$materias_aprob=0;
		$creditos_aprob=0;
		$materias_repro=0;
		$creditos_repro=0;
		
		$row99 = mysql_fetch_row($result99);
		$periodo=$row99[6];
		if ($totalRows==0) {
		   $sw=false;
		}
	    else {
		  $sw=true;
		}
		$rowxx = mysql_fetch_row($resultx);
		while ($sw) { 
              $periodo1=$rowxx[6];
			  $data[] = array('codigo'=>"<u><b>LAPSO: ".$periodo."</b></u>",
							'seccion'=>'', 
							'asignatura'=>'', 
							'credito'=>'',
							'nota'=>'', 
							'enletras'=>''); 
							
			  $data[] = array('codigo'=>'<b>CODIGO</b>', 
					  'seccion'=>'<b>SECC.</b>', 
					  'asignatura'=>'<b>                                 ASIGNATURA</b>', 
					  'credito'=>'<b>U.C.</b>', 
					  'nota'=>'<b>NOTA</b>',
					  'enletras'=>'<b>LITERAL</b>');
			  $total_notas_lapso=0;
			  $total_uc_lapso=0; 
			  while ($periodo==$periodo1) {	
			        $codigo      = $rowxx[4];    // id_materia 
			        $seccion     = $rowxx[5];    // seccion 
			        $asignatura  = utf8_decode($rowxx[7]);    // nombre materia 
			        $credito     = $rowxx[8];    // unidades de credito 
			        $not      = $rowxx[3];    // nota 
					$aprobacion      = $rowxx[11];    // nota
					if($aprobacion=="REGULAR") {	
			           $total_notas=$total_notas+($not*$credito);
			           $total_uc=$total_uc+$credito;
					   $total_notas_lapso=$total_notas_lapso+($not*$credito);
			           $total_uc_lapso=$total_uc_lapso+$credito;
					
			           if ($not>=3) {
			              $materias_aprob=$materias_aprob+1;
				          $creditos_aprob=$creditos_aprob+$credito;
			           }
			           else {
			              $materias_repro=$materias_repro+1;
				          $creditos_repro=$creditos_repro+$credito;
		            	}
					}
					else {
					   $materias_aprob=$materias_aprob+1;
					   $creditos_aprob=$creditos_aprob+$credito;
					}		   
				    
					$enlet=nota_en_letras($rowxx[3]);
			
					if($aprobacion=="EQUIVALENCIA") {
					   $not="Aprob.";
					   $enlet="Equivalencia";
					}    	
												
					$data[] = array('codigo'=>$codigo,
							'seccion'=>$seccion, 
							'asignatura'=>$asignatura, 
							'credito'=>$credito,
							'nota'=>$not, 
							'enletras'=>$enlet); 
							$sw=true;
					$rowxx = mysql_fetch_row($resultx);
					if (!$rowxx) {
					    $sw=false;
	                }			
					$periodo1 = $rowxx[6];	
				} 
				$indice_lapso=$total_notas_lapso/$total_uc_lapso;
                $indice_lapso=number_format($indice_lapso,4,",",".");
				$data[] = array('codigo'=>'',
							'seccion'=>'', 
							'asignatura'=>"<b>                         Indice del Lapso ".$periodo.": ".$indice_lapso."</b>", 
							'credito'=>'',
							'nota'=>'', 
							'enletras'=>''); 
				$periodo=$rowxx[6];
		// Fin del While $sw		
		}
		$la_config=array('showHeadings'=>0, // Mostrar encabezados
		'fontSize' => 8, // Tama�o de Letras
		'titleFontSize' => 9,  // Tama�o de Letras de los t�tulos
		'showLines'=>0, // Mostrar L�neas
		'shaded'=>0, // Sombra entre l�neas
		'width'=>500, // Ancho de la tabla
		'maxWidth'=>500, // Ancho M�ximo de la tabla
		'xOrientation'=>'center', // Orientaci�n de la tabla
		'cols'=>array(
			'codigo'=>array('justification'=>'center','width'=>80),
			'seccion'=>array('justification'=>'center','width'=>35),
			'asignatura'=>array('justification'=>'left','width'=>210),
			'credito'=>array('justification'=>'center','width'=>30),
			'nota'=>array('justification'=>'center','width'=>35),
			'enletras'=>array('justification'=>'center','width'=>110)));

		$diff=array(160=>'�',162=>'�',
		130=>'�',163=>'�',
		161=>'�');
		$pdf->selectFont('./fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

		$pdf->ezTable($data,$colsx,'',$la_config);// salida
		//if ($sw) { 
		    pie_pagina($pdf,$materias_aprob,$materias_repro,$creditos_aprob,$creditos_repro,$total_notas,$total_uc,$num_materias,$num_creditos);
		//}	
	}
	
function ultima_hoja($pdf, $cedula, $completo, $carrera)
{
		// Inicio del Encabezado.
		$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
		$pdf->addImage($imagen,35,$pdf->y-55,100,0);
		$pdf->selectFont('/fonts/Helvetica.afm');
		$pdf->ezText("                         Universidad Latinoamericana y del Caribe",14,array('justification'=>'full'));
		$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
		$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
		$pdf->ezsetdy(-20);
		$pdf->ezText(utf8_decode("CERTIFICACIÓN DE CALIFICACIÓN"),13,array('justification'=>'center'));
		$pdf->ezsetdy(-20);
		$pdf->ezText(utf8_decode("Cédula: ").$cedula."     Nombre: ".utf8_decode($completo),9,array('justification'=>'left'));
		$pdf->ezsetdy(-3);
		$pdf->ezText("Postgrado: ".utf8_decode($carrera),9,array('justification'=>'left'));
		$pdf->ezsetdy(-4);
		// Fin del Encabezado.
		// Se restaura el objeto y se cierra, para que de el salto de p�gina.
		$pdf->restoreState(); 
		$pdf->closeObject(); 
		// Establece los margenes para imprimir el cuerpo del reporte.
		//$pdf->ezSetCmMargins(6,3,3.5,3);
		//$pdf->addObject($all,'all'); 
		
	}	
	
function nota_en_letras($nota)
{
   // Extraigo la parte entera y la parte decimal de la Nota.
   $entero=substr($nota,0,1);
   $decimal=substr($nota,2,2);
  
   // Convierto la Parte entera de la Nota en letras.
   switch ($entero)
   {
   	   case 0:
	    $entero_en_letras='Cero';
		break;	
	  case 1:
	    $entero_en_letras='Uno';
		break;	
	  case 2:
	  	$entero_en_letras='Dos';
		break;
	  case 3:
	  	$entero_en_letras='Tres';
		break;
	  case 4:
	  	$entero_en_letras='Cuatro';
		break;
	  case 5:
	  	$entero_en_letras='Cinco';
		break;
   }
   // Convierto la Parte Decimal de la Nota en letras. 
   switch ($decimal)
   {
    case 00:
	    $decimal_en_letras='';
		break;					 
	case 01:
	    $decimal_en_letras='Cero Uno';
		break;	
	case 02:
	    $decimal_en_letras='Cero Dos';
		break;	
	case 03:
	    $decimal_en_letras='Cero Tres';
		break;
	case 04:
	    $decimal_en_letras='Cero Cuatro';
		break;	
	case 05:
	    $decimal_en_letras='Cero Cinco';
		break;	
	case 06:
	    $decimal_en_letras='Cero Se�s';
		break;	
	case 07:
	    $decimal_en_letras='Cero Siete';
		break;	
	case 08:
	    $decimal_en_letras='Cero Ocho';
		break;	
	case 09:
	    $decimal_en_letras='Cero Nueve';
		break;	
	case 10:
	    $decimal_en_letras='Diez';
		break;	
	case 11:
	    $decimal_en_letras='Once';
		break;	
	case 12:
	    $decimal_en_letras='Doce';
		break;	
	case 13:
	    $decimal_en_letras='Trece';
		break;	
	case 14:
	    $decimal_en_letras='Catorce';
		break;	
	case 15:
	    $decimal_en_letras='Quince';
		break;	
	case 16:
	    $decimal_en_letras='Dieciseis';
		break;	
	case 17:
	    $decimal_en_letras='Diecisiete';
		break;	
	case 18:
	    $decimal_en_letras='Dieciocho';
		break;	
	case 19:
	    $decimal_en_letras='Diecinueve';
		break;	
	case 20:
	    $decimal_en_letras='Veinte';
		break;	
	case 21:
	    $decimal_en_letras='Veintiuno';
		break;	
	case 22:
	    $decimal_en_letras='Veintidos';
		break;
	case 23:
	    $decimal_en_letras='Veintitres';
		break;
	case 24:
	    $decimal_en_letras='Veinticuatro';
		break;
	case 25:
	    $decimal_en_letras='Veinticinco';
		break;
	case 26:
	    $decimal_en_letras='Veintiseis';
		break;
	case 27:
	    $decimal_en_letras='Veintisiete';
		break;
	case 28:
	    $decimal_en_letras='Veintiocho';
		break;
	case 29:
	    $decimal_en_letras='Veintinueve';
		break;
	case 30:
	    $decimal_en_letras='Treinta';
		break;	
	case 31:
	    $decimal_en_letras='Treinta y Uno';
		break;
	case 32:
	    $decimal_en_letras='Treinta y Dos';
		break;
	case 33:
	    $decimal_en_letras='Treinta y Tres';
		break;
	case 34:
	    $decimal_en_letras='Treinta y Cuatro';
		break;
	case 35:
	    $decimal_en_letras='Treinta y Cinco';
		break;
	case 36:
	    $decimal_en_letras='Treinta y Seis';
		break;
	case 37:
	    $decimal_en_letras='Treinta y Siete';
		break;
	case 38:
	    $decimal_en_letras='Treinta y Ocho';
		break;	
	case 39:
	    $decimal_en_letras='Treinta y Nueve';
		break;	
	case 40:
	    $decimal_en_letras='Cuarenta';
		break;	
	case 41:
	    $decimal_en_letras='Cuarenta y Uno';
		break;	
	case 42:
	    $decimal_en_letras='Cuarenta y Dos';
		break;	
	case 43:
	    $decimal_en_letras='Cuarenta y Tres';
		break;	
	case 44:
	    $decimal_en_letras='Cuarenta y Cuatro';
		break;	
	case 45:
	    $decimal_en_letras='Cuarenta y Cinco';
		break;	
	case 46:
	    $decimal_en_letras='Cuarenta y Seis';
		break;	
	case 47:
	    $decimal_en_letras='Cuarenta y Siete';
		break;	
	case 48:
	    $decimal_en_letras='Cuarenta y Ocho';
		break;	
	case 49:
	    $decimal_en_letras='Cuarenta y Nueve';
		break;	
	case 50:
	    $decimal_en_letras='Cincuenta';
		break;	
	case 51:
	    $decimal_en_letras='Cincuenta y Uno';
		break;	
	case 52:
	    $decimal_en_letras='Cincuenta y Dos';
		break;	
	case 53:
	    $decimal_en_letras='Cincuenta y Tres';
		break;	
	case 54:
	    $decimal_en_letras='Cincuenta y Cuatro';
		break;	
	case 55:
	    $decimal_en_letras='Cincuenta y Cinco';
		break;	
	case 56:
	    $decimal_en_letras='Cincuenta y Seis';
		break;	
	case 57:
	    $decimal_en_letras='Cincuenta y Siete';
		break;	
	case 58:
	    $decimal_en_letras='Cincuenta y Ocho';
		break;	
	case 59:
	    $decimal_en_letras='Cincuenta y Nueve';
		break;	
	case 60:
	    $decimal_en_letras='Sesenta';
		break;	
	case 61:
	    $decimal_en_letras='Sesenta y Uno';
		break;	
	case 62:
	    $decimal_en_letras='Sesenta y Dos';
		break;	
	case 63:
	    $decimal_en_letras='Sesenta y Tres';
		break;	
	case 64:
	    $decimal_en_letras='Sesenta y Cuatro';
		break;	
	case 65:
	    $decimal_en_letras='Sesenta y Cinco';
		break;	
	case 66:
	    $decimal_en_letras='Sesenta y Seis';
		break;	
	case 67:
	    $decimal_en_letras='Sesenta y Siete';
		break;	
	case 68:
	    $decimal_en_letras='Sesenta y Ocho';
		break;	
	case 69:
	    $decimal_en_letras='Sesenta y Nueve';
		break;	
	case 70:
	    $decimal_en_letras='Setenta';
		break;	
	case 71:
	    $decimal_en_letras='Setenta y Uno';
		break;	
	case 72:
	    $decimal_en_letras='Setenta y Dos';
		break;	
	case 73:
	    $decimal_en_letras='Setenta y Tres';
		break;	
	case 74:
	    $decimal_en_letras='Setenta y Cuatro';
		break;	
	case 75:
	    $decimal_en_letras='Setenta y Cinco';
		break;	
	case 76:
	    $decimal_en_letras='Setenta y Seis';
		break;	
	case 77:
	    $decimal_en_letras='Setenta y Siete';
		break;	
	case 78:
	    $decimal_en_letras='Setenta y Ocho';
		break;	
	case 79:
	    $decimal_en_letras='Setenta y Nueve';
		break;	
	case 80:
	    $decimal_en_letras='Ochenta';
		break;	
	case 81:
	    $decimal_en_letras='Ochenta y Uno';
		break;	
	case 82:
	    $decimal_en_letras='Ochenta y Dos';
		break;	
	case 83:
	    $decimal_en_letras='Ochenta y Tres';
		break;	
	case 84:
	    $decimal_en_letras='Ochenta y Cuatro';
		break;	
	case 85:
	    $decimal_en_letras='Ochenta y Cinco';
		break;	
	case 86:
	    $decimal_en_letras='Ochenta y Seis';
		break;	
	case 87:
	    $decimal_en_letras='Ochenta y Siete';
		break;	
	case 88:
	    $decimal_en_letras='Ochenta y Ocho';
		break;	
	case 89:
	    $decimal_en_letras='Ochenta y Nueve';
		break;	
	case 90:
	    $decimal_en_letras='Noventa';
		break;	
	case 91:
	    $decimal_en_letras='Noventa y Uno';
		break;	
	case 92:
	    $decimal_en_letras='Noventa y Dos';
		break;	
	case 93:
	    $decimal_en_letras='Noventa y Tres';
		break;	
	case 94:
	    $decimal_en_letras='Noventa y Cuatro';
		break;	
	case 95:
	    $decimal_en_letras='Noventa y Cinco';
		break;	
	case 96:
	    $decimal_en_letras='Noventa y Seis';
		break;	
	case 97:
	    $decimal_en_letras='Noventa y Siete';
		break;	
	case 98:
	    $decimal_en_letras='Noventa y Ocho';
		break;	
	case 99:
	    $decimal_en_letras='Noventa y Nueve';
		break;	
	default:    
		$decimal_en_letras='';
		break;	
   }
   $en_letras=$entero_en_letras.' '.$decimal_en_letras;			     
   return $en_letras;
}


function pie_pagina($pdf,$materias_aprob,$materias_repro,$creditos_aprob,$creditos_repro,$total_notas,$total_uc,$num_materias,$num_creditos)
		{
			// Facilitador(a).
			$total_materias=$materias_aprob+$materias_repro;
			$total_creditos=$creditos_aprob+$creditos_repro;
			$indice=$total_notas/$total_uc;
			$materias_pendientes=$num_materias-$materias_aprob;
			if($materias_pendientes<0){
			   $materias_pendientes=0;
			}   
			$creditos_pendientes=$num_creditos-$creditos_aprob;
			if($creditos_pendientes<0){
			   $creditos_pendientes=0;
			}   
			$eficiencia=($creditos_aprob/$total_creditos)*100;
			$eficiencia=number_format($eficiencia,2,",",".");
			$indice=number_format($indice,4,",",".");
			$pdf->Rectangle(58,60,500,55);
			$pdf->addText(270,100,10,'<b>'.utf8_decode('RESUMEN ACADÉMICO').'</b>');
			$pdf->line(58,95,558,95); 
			
			$pdf->addText(65,85,9,'Asignaturas del Programa');
			$pdf->addText(175,85,9,':');
			$pdf->addText(180,85,9,$num_materias);
		
			$pdf->addText(270,85,9,'Asignaturas Aprobadas');
			$pdf->addText(365,85,9,':');
            $pdf->addText(370,85,9,$materias_aprob);
						
			$pdf->addText(435,85,9,'Asignaturas por Aprobar');
			$pdf->addText(535,85,9,':');
			$pdf->addText(540,85,9,$materias_pendientes);
			
			$pdf->addText(65,75,9,utf8_decode('Créditos del Programa'));
			$pdf->addText(175,75,9,':');
			$pdf->addText(180,75,9,$num_creditos);
			
			$pdf->addText(270,75,9,utf8_decode('Créditos Aprobados      :'));
			$pdf->addText(365,75,9,':');
            $pdf->addText(370,75,9,$creditos_aprob);
			
			$pdf->addText(435,75,9,utf8_decode('Créditos por Aprobar'));
			$pdf->addText(535,75,9,':');                     
			$pdf->addText(540,75,9,$creditos_pendientes);
			
			$pdf->addText(65,65,9,'Indice de Rendimiento');
			$pdf->addText(175,65,9,':');
			$pdf->addText(180,65,9,$indice);
			
			$pdf->addText(270,65,9,'Eficiencia');
			$pdf->addText(365,65,9,':');
            $pdf->addText(370,65,9,$eficiencia.' %');
			
		}
?> 
